[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# DaySpan

Calculate the approximate number of days between two TDateTime values.

## Declaration

Source position: dateutil.inc line 287

`function DaySpan(`
`const ANow: TDateTime;`
`const AThen: TDateTime`
`):Double;`

## Arguments

`ANow` |  | First moment in time
`AThen` |  | Second moment in time

## Function result

Number (fractions included) of days between ANow and AThen

## Description

DaySpan returns the number of Days between ANow and AThen, including any fractional parts of a Day.

## See also

YearSpan |  | Calculate the approximate number of years between two TDateTime values.
MonthSpan |  | Calculate the approximate number of months between two TDateTime values.
WeekSpan |  | Calculate the approximate number of weeks between two TDateTime values.
HourSpan |  | Calculate the approximate number of hours between two TDateTime values.
MinuteSpan |  | Calculate the approximate number of minutes between two TDateTime values.
SecondSpan |  | Calculate the approximate number of seconds between two TDateTime values.
MilliSecondSpan |  | Calculate the approximate number of milliseconds between two TDateTime values.
DaysBetween |  | Number of whole days between two TDateTime values.

## Example

    Program Example66;

    { This program demonstrates the DaySpan function }

    Uses SysUtils,DateUtils;

    Procedure Test(ANow,AThen : TDateTime);

    begin
     Write('Number of days between ');
     Write(DateTimeToStr(AThen),' and ',DateTimeToStr(ANow));
     Writeln(' : ',DaySpan(ANow,AThen));
    end;

    Var
      D1,D2 : TDateTime;

    Begin
      D1:=Now;
      D2:=Today-23/24;
      Test(D1,D2);
      D2:=Today-1;
      Test(D1,D2);
      D2:=Today-25/24;
      Test(D1,D2);
      D2:=Today-26/24;
      Test(D1,D2);
      D2:=Today-5.4;
      Test(D1,D2);
      D2:=Today-2.5;
      Test(D1,D2);
    End.